{% from "bootstrap5/form.html" import quick_form, render_field, render_hidden_errors %}

{% extends "base.html" %}
{% block title %}Chipscopy connection{% endblock %}
{% block content %}

{% if error %}
<div class="alert alert-danger" role="alert">
  {{error}}
</div>
{% endif %}

{{ render_hidden_errors(form) }}

{% if warning %}
<div class="alert alert-warning" role="alert">
  {{warning}}
</div>
{% endif %}

{% if status %}
<div class="alert alert-dark" role="alert">
  {{status}}
</div>
{% endif %}


<h2>Chipscopy connection</h2>

<form method="post" action="/chipscopy/connect" class="mb-4" role=form>	
	{{ form.hidden_tag() }}

	{% if connected %}
	<fieldset disabled>
	{% else %}
	<fieldset>
	{% endif %}

	<input id="protocol" name="protocol" type="hidden" value="{{form.protocol.data}}">
	<input id="redirect" name="redirect" type="hidden" value="{{form.redirect.data}}">
	
	<div class="row">
		<div class="col-4 g-4">
			{{ render_field(form.cs_server_ip) }}
		</div>
		<div class="col-4 g-4">
			{{ render_field(form.cs_server_port) }}
		</div>
	</div>

	<div class="row">
		<div class="col-4 g-4">
			{{ render_field(form.hw_server_ip) }}
		</div>
		<div class="col-4 g-4">
			{{ render_field(form.hw_server_port) }}
		</div>
	</div>

	<div class="row">
		<div class="col-4 g-4">
			{{ render_field(form.family) }}
		</div>
		<div class="col-4 g-4">
			{{ render_field(form.bypass_version_check) }}
		</div>
	</div>

	<div class="row">
		<div class="col-4 g-4">
			{% if not connected %}
			<button class="btn-lg btn-primary" type="submit">Connect</button>
			{% endif %}
		</div>
	</div>
	</fieldset>
</form>

{% if connected %}
<form method="post" action="/chipscopy/disconnect" class="mb-4" role=form>
	<div class="col-4 g-4">
		<button class="btn-lg btn-danger" type="submit">Disconnect</button>		
	</div>
</form>
{% endif %}

{% endblock %}